package com.googlecode.t7mp;

/**
 * 
 * @author jbellmann
 *
 */
public abstract class AbstractTomeeMojo extends AbstractT7BaseMojo {

    public static final String DEFAULT_TOMEE_VERSION = "1.0.0-beta-2";

    public static final String DEFAULT_TOMEE_DISTRIBUTION = "webprofile";

    /**
     * 
     * @parameter expression="${tomee.version}" default-value="1.0.0-beta-2"
     */
    protected String tomeeVersion = DEFAULT_TOMEE_VERSION;

    /**
     * 
     * @parameter expression="${tomee.distribution}" default-value="webprofile"
     */
    protected String tomeeDistribution = DEFAULT_TOMEE_DISTRIBUTION;

    public String getTomeeVersion() {
        return tomeeVersion;
    }

    public void setTomeeVersion(String tomeeVersion) {
        this.tomeeVersion = tomeeVersion;
    }

    public String getTomeeDistribution() {
        return tomeeDistribution;
    }

    public void setTomeeDistribution(String tomeeDistribution) {
        this.tomeeDistribution = tomeeDistribution;
    }

}
